@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');



* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: "Montserrat";
    height: 100vh;
    display: flex;
    justify-content: center;
}

.carousel-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    margin-top: 3rem;
    width: 100%;
}

.carousel {
    width: 62rem;      
    overflow: hidden;   
    padding: 2rem 0;
}

.slides {
    display: flex;
    gap: 1rem;
    animation: slide 10s ease-in-out infinite;
}

.slides:hover {
    animation-play-state: paused;
}

.slide {
    width: 20rem;
    height: 30rem;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    overflow: hidden;
    border-radius: 14px;
    justify-content: center;
    box-shadow: 0 4px 8px rgba(158, 158, 158, 0.679);
    position: relative;
}

.slide img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.label {
    position: absolute;  
    bottom: 0;          
    left: 0;
    width: 100%;
    text-align: center;
    padding: 0.75rem;
    background: rgba(0, 0, 0, 0.5); 
    color: #fff;
    font-weight: bold;
    backdrop-filter: blur(1px);       
}

@keyframes slide {
    0%   { transform: translateX(0); }
    27%  { transform: translateX(0); }

    33%  { transform: translateX(-21rem); }
    60%  { transform: translateX(-21rem); }

    66%  { transform: translateX(-42rem); }
    93%  { transform: translateX(-42rem); }

    100% { transform: translateX(-63rem); }
}